import request from "./core/request";
import urls from './core/api'

// 举手之劳分页列表
export function liftFingerPageList(data: any) {
    return request<Resp<any[]>>(
        urls.reportUrl + "/citizenServices/getCitizenIntegralList/itSEasy",
        {
            method: "POST",
            data,
            header: {
                'content-type': 'application/x-www-form-urlencoded'
            }
        }
    );
}

// 举手之劳记录分页列表
export function liftFingerDetailPageList(data: any) {
    return request<Resp<any[]>>(
        urls.reportUrl + "/citizenServices/getCitizenIntegralList/itSEasy/person",
        {
            method: "POST",
            data,
            header: {
                'content-type': 'application/x-www-form-urlencoded'
            }
        }
    );
}

// 投诉举报分页列表
export function complaintReportPageList(data: any) {
    return request<Resp<any[]>>(
        urls.reportUrl + "/citizenServices/getCitizenIntegralList/complaintReport",
        {
            method: "POST",
            data,
            header: {
                'content-type': 'application/x-www-form-urlencoded'
            }
        }
    );
}

// 投诉举报记录分页列表
export function complaintReportDetailPageList(data: any) {
    return request<Resp<any[]>>(
        urls.reportUrl + "/citizenServices/getCitizenIntegralList/complaintReport/person",
        {
            method: "POST",
            data,
            header: {
                'content-type': 'application/x-www-form-urlencoded'
            }
        }
    );
}